Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

When I want to compile my tex file it throws this:

! LaTeX Error: File `mparhack.sty' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)

Enter file name: 
! Emergency stop.
<read *> 

l.131 \RequirePackage
                     {fixltx2e} % fixes some LaTeX stuff^^M
!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on tesis.log.

I do not know where should I get this missing file (mparhack.sty).

I am using Ubuntu 12.04.

share|improve this question
    
First try to comment line 131: %\RequirePackage{fixltx2e} and compile. If no error you can use this as a workaround. Then look for a question here like "how to upgrade LaTeX with ubuntu" and follow the advices there. (I'm not using Ubuntu, sorry). –  Kurt Nov 23 '12 at 20:47
1  
I suggest you install vanilla texlive instead of the texlive from the package respiratory. The latter is badly old and also you don't know what to install to get the required package. I am also using ubuntu 12.04 and did this. –  rowman Nov 23 '12 at 20:56
    
@Kurt: just for future reference, the error in this case occurs just before line 131. TeX has not read the argument to the \RequirePackage line shown when using -interaction=nonstopmode (a common command line option when compiling through an IDE), it has only read the token \RequirePackage as part of an \@ifnextchar[ lookahead. If not causing an emergency stop, it might prefix it with <to be read again>. –  cyberSingularity Nov 23 '12 at 21:36
1  
sounds to me like you're either using an version- don't use the version from the repositories, see how-to-install-vanilla-texlive-on-debian-or-ubuntu; mparhack is installed by default –  cmhughes Nov 23 '12 at 21:56
    
@cyberSingularity: Yes you are right; it should be more a hint to look on an older question of the asker with the same hint to install new. –  Kurt Nov 23 '12 at 22:11
add comment

1 Answer 1

The Comprehensive TeX archive network is the place to go. The package you need is here.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.